Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 706450 - sci-biology/blat-34-r2 : fails to build with -fno-common or gcc-10
Summary: sci-biology/blat-34-r2 : fails to build with -fno-common or gcc-10
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gentoo Science Biology related packages
URL:
Whiteboard:
Keywords: PATCH, PullRequest
Depends on:
Blocks: -fno-common
  Show dependency tree
 
Reported: 2020-01-26 14:32 UTC by Toralf Förster
Modified: 2020-07-04 15:24 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments
emerge-info.txt (emerge-info.txt,15.13 KB, text/plain)
2020-01-26 14:33 UTC, Toralf Förster
Details
emerge-history.txt (emerge-history.txt,97.77 KB, text/plain)
2020-01-26 14:33 UTC, Toralf Förster
Details
environment (environment,45.74 KB, text/plain)
2020-01-26 14:33 UTC, Toralf Förster
Details
etc.portage.tbz2 (etc.portage.tbz2,11.85 KB, application/x-bzip)
2020-01-26 14:33 UTC, Toralf Förster
Details
sci-biology:blat-34-r2:20200126-141522.log (sci-biology:blat-34-r2:20200126-141522.log,103.24 KB, text/plain)
2020-01-26 14:33 UTC, Toralf Förster
Details
temp.tbz2 (temp.tbz2,20.18 KB, application/x-bzip)
2020-01-26 14:33 UTC, Toralf Förster
Details
blat-34-gcc-10.patch (blat-34-gcc-10.patch,466 bytes, patch)
2020-01-26 15:25 UTC, Sergei Trofimovich
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Toralf Förster gentoo-dev 2020-01-26 14:32:58 UTC
make -C webBlat
make[1]: Entering directory '/var/tmp/portage/sci-biology/blat-34-r2/work/blatSrc/webBlat'
x86_64-pc-linux-gnu-gcc  -O2 -pipe -march=native -fno-common -D_FILE_OFFSET_BITS=64 -D_LARGEFILE_SOURCE -D_GNU_SOURCE -DMACHTYPE_amd64 -Wformat -Wimplicit -Wuninitialized -Wreturn-type -I../inc -I../../inc -I../../../inc -I../../../../inc -I../../../../../inc  -o webBlat.o -c webBlat.c
x86_64-pc-linux-gnu-gcc  -o webBlat webBlat.o ../lib/amd64/jkOwnLib.a ../lib/amd64/jkweb.a -lm 
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../lib/amd64/jkweb.a(htmshell.o):(.bss+0x20): multiple definition of `htmlRecover'; webBlat.o:(.bss+0x20): first defined here
/usr/lib/gcc/x86_64-pc-linux-gnu/9.2.0/../../../../x86_64-pc-linux-gnu/bin/ld: ../lib/amd64/jkweb.a(portimpl.o):(.bss+0x0): multiple definition of `htmlRecover'; webBlat.o:(.bss+0x20): first defined here

  -------------------------------------------------------------------

  This is an unstable amd64 chroot image at a tinderbox (==build bot)
  name: 17.1_no-multilib-20200124-204141

  -------------------------------------------------------------------

  Please see the tracker bug for details.

gcc-config -l:
 [1] x86_64-pc-linux-gnu-9.2.0 *


llvm:
9.0.1
Available Python interpreters, in order of preference:
  [1]   python3.7
  [2]   python3.6
  [3]   python2.7 (fallback)
Available Ruby profiles:
  [1]   ruby24 (with Rubygems)
  [2]   ruby25 (with Rubygems) *
Available Rust versions:
  [1]   rust-1.40.0 *



repository:
==> /var/db/repos/gentoo/metadata/timestamp.chk <==
Sun, 26 Jan 2020 13:46:12 +0000

emerge -qpvO sci-biology/blat
[ebuild  N    ] sci-biology/blat-34-r2
Comment 1 Toralf Förster gentoo-dev 2020-01-26 14:33:03 UTC
Created attachment 604660 [details]
emerge-info.txt
Comment 2 Toralf Förster gentoo-dev 2020-01-26 14:33:08 UTC
Created attachment 604662 [details]
emerge-history.txt
Comment 3 Toralf Förster gentoo-dev 2020-01-26 14:33:10 UTC
Created attachment 604664 [details]
environment
Comment 4 Toralf Förster gentoo-dev 2020-01-26 14:33:13 UTC
Created attachment 604666 [details]
etc.portage.tbz2
Comment 5 Toralf Förster gentoo-dev 2020-01-26 14:33:16 UTC
Created attachment 604668 [details]
sci-biology:blat-34-r2:20200126-141522.log
Comment 6 Toralf Förster gentoo-dev 2020-01-26 14:33:18 UTC
Created attachment 604670 [details]
temp.tbz2
Comment 7 Sergei Trofimovich gentoo-dev 2020-01-26 15:25:23 UTC
Created attachment 604712 [details, diff]
blat-34-gcc-10.patch
Comment 8 Larry the Git Cow gentoo-dev 2020-07-04 15:24:13 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=4550eaf9f23d3579acdf226618f3fb482e675956

commit 4550eaf9f23d3579acdf226618f3fb482e675956
Author:     David Denoncin <ddenoncin@gmail.com>
AuthorDate: 2020-07-04 14:26:35 +0000
Commit:     Sergei Trofimovich <slyfox@gentoo.org>
CommitDate: 2020-07-04 15:24:04 +0000

    sci-biology/blat: -fno-common fix
    
    Closes: https://bugs.gentoo.org/706450
    Package-Manager: Portage-2.3.99, Repoman-2.3.22
    Signed-off-by: David Denoncin <ddenoncin@gmail.com>
    Closes: https://github.com/gentoo/gentoo/pull/16587
    Signed-off-by: Sergei Trofimovich <slyfox@gentoo.org>

 sci-biology/blat/blat-34-r2.ebuild              |  7 +++++--
 sci-biology/blat/files/blat-34-fno-common.patch | 11 +++++++++++
 2 files changed, 16 insertions(+), 2 deletions(-)